<?
 global $error_prod;
 
 require ("open_db_prod.php" );

// $error_prod = true; 

 if ( isset( $error_prod ) && $error_prod==true )
 {
  echo "<h1>Listado de productos</h1><br><br>".
  	"<p class=remark>Base de datos bloqueada</p>".
  	"<br>Actualmente la base de datos de productos se encuentra bloqueada.".
  	"<br>Pruebe a intentar acceder mas tarde.";
 } else {

	require ("familias.php");
	
	if ( !isset( $FiltrarPor ) ) $FiltrarPor = -1;
	imprimeCabecera();
 }

 mysql_free_result($res);
 mysql_close($conexion_prod);

 function resize($H, $W)
 {
  $nW = 100; $nH = 100;
  $image_prop = "";
  
  if ( $W > 0 )
  {
  	if ( $W > $H )
  	{
	  $nH = intval(($H/$W)*$nW);      $image_prop = " width=\"$nW\" height=\"".$nH."\"";
  	} else {
	  $nW = intval(($W/$H)*$nH);	  $image_prop = " height=\"$nH\" width=\"".$nW."\"";
  	}
  }
  
  return $image_prop;
 } 

 function  imprimeCabecera()
 {
   global $conexion_prod, $FiltrarPor, $findp;

   echo '<script src="prod/moreinfo.js"></script>'; 
   echo '<form method="POST" name="sfam" action="./?dgo=prod/listado_productos.php"><table border="0" width="98%" style="border-bottom: black 1px solid;">';
   echo '<tr><td valign="bottom"><h1>Listado de Productos</h1></td>';
   echo '<td valign="bottom">Familia: ';
        	printSelectFAM( $conexion_prod, $FiltrarPor, "" );
   echo '<br>Buscar: <input type="text" value="" name="findp" size=15>&nbsp;<a href="./?go=../prod/help.htm"><img src="prod/images/help.gif" align="absmiddle" width="18" height="19" border="0" alt="¿Necesita ayuda?"></a>';
   echo '</td><td><a href="javascript:document.sfam.submit();"><img src="prod/images/tree.gif" alt="Filtrar listado" width="32" height="32" border="0" align="bottom"></a></td></tr></table></form>';
	
   $sqlFIND = "";
   // Listados parciales...
   if ( $FiltrarPor > -1 || !empty($findp) )
   {
	echo "<br><br>";
        if ( $FiltrarPor == -1 ) $FiltrarPor = 0x00000000; else $sqlFIND = "Familia=$FiltrarPor AND";

	if ( empty( $findp ) )
		$resp = @mysql_query( "SELECT id, descr, precioVenta1 FROM productos WHERE Familia=$FiltrarPor AND EsNodo='N' ORDER BY descr", $conexion_prod );
	else 
		$resp = @mysql_query( "SELECT id, descr, precioVenta1 FROM productos WHERE $sqlFIND descr LIKE '%$findp%' AND EsNodo='N' ORDER BY descr", $conexion_prod );
	
	if ( mysql_numrows( $resp )>0 )
	{
		echo '<table border=0 width="100%" cellpadding="2" cellspacing="0" style="border-top:white 1px solid;border-bottom:white 1px solid;border-left:white 1px solid;border-right:white 1px solid;">';
		echo '<tr><td style="background-color:#FFFFFF;color:#000000"><b>Descripci&oacute;n</b></td><td style="background-color:#FFFFFF;color:#000000"><b>PV</b></td><td style="background-color:#FFFFFF;color:#000000"><b>-ptas-</b></td><td style="background-color:#FFFFFF;"></td></tr>';
 		while ( $datos = mysql_fetch_array($resp) )
 		{
	 		echo "\n<tr><td><a href=\"#\" onclick=\"javascript:moreInfo($datos[0]);\">$datos[1]</a></td>".
				"<td style=\"text-align:right\">".number_format($datos[2],2,"'",".")."</td><td style=\"text-align:right\">".number_format( round(166.386*$datos[2]), 0, "'",".")."</td>";
			echo "<td><a href=\"javascript:aCesta($datos[0],1,'$datos[2]',$FiltrarPor)\">C</a></td></tr>";
	 	}
	 	echo '</table>';
	 } else {
	 	echo '<center><p class=remark>No se encontraron productos.</p></center>';
	 }
   } else {
   	echo "<p class=remark>Si desea precios de un semi-equipo ó equipo completo...</p>...consulta nuestro \"<a href=\"./?dgo=prod/make_ord.php\">Maquetador de Equipos</a>\" y construyete t&uacute mismo el equipo.<br>Tambien puedes elegir una de las dos alternativas que te mostramos mas abajo.";
	$FiltrarPor = 0x00000000;
   }
 	
 	echo "\n<br><br><br>";
 	
 	// Obtenemos las descendencias directas de la familia ACTUAL
 	// ** Esto es un pelin complicado, asi que prestad atención ** JDsoft.
 	// ¿Se nota que me gusta jugar con Bitwise? P-))
 	// Familia & ~( 0xFF<<nivel_sig ) == FAMILIA_ACTUAL
 	if ( empty( $findp ) )
 	{
 		$nivel_act = getFamLevel( $FiltrarPor );
		if ( $nivel_act < 4 )
		{
			$nivel_sig = ~(0xFF << (3-$nivel_act)*8 );
			$resp = @mysql_query( "SELECT id, Familia, descr, imgH, imgW FROM productos WHERE (Familia & $nivel_sig)=$FiltrarPor AND EsNodo='Y' ORDER BY descr ", $conexion_prod );
	 		if ( mysql_numrows( $resp )>1 )
	 		{
				echo '<table border="0" width="98%" style="border-bottom: black 1px solid;"><tr><td align=center><p class=remark>Familias relacionadas con la actual</p></tr></table>';
	 			echo '<table border=0 width="100%" cellpadding="0" cellspacing="0" >';
	 			$rowCount = 0;
	 			while ( $datos = mysql_fetch_array($resp) )
	 			{
	 			  if ( $datos[1] != $FiltrarPor )
	 			  {
	 			
	 				if ( $rowCount == 0 )
	 					echo "\n<tr><td width=10><img src=\"prod/images/bfl.gif\"></td>";
	 				
	 				echo "<td background=\"prod/images/bfm.gif\"  align=center>";
	 				echo "<a href=\"./?dgo=prod/listado_productos.php&FiltrarPor=$datos[1]\"><img src=\"prod/getImg.php?idf=$datos[0]\" ".resize($datos[3], $datos[4])." border=0><br>$datos[2]</a>";
	 				echo "</td>";

		 			if ( $rowCount == 4 )
		 			{
		 				echo "<td width=10><img src=\"prod/images/bfr.gif\"></td></tr>";
		 				$rowCount=0;
		 			} else
		 				$rowCount++;
		 		  }
		 		}
		 		
		 		if ( $rowCount>0 )
		 		{
		 			while( $rowCount<5 ) { $rowCount++; echo "<td background=\"prod/images/bfm.gif\"></td>"; }
		 			echo "<td width=10><img src=\"prod/images/bfr.gif\"></td></tr>";
		 		}
		 		
		 		echo "</table>";
 			}
 		}
 	}
 	mysql_free_result($resp);
  
 }


?>